OASIS Mailing List ArchivesView the OASIS mailing list archive below
or browse/search using MarkMail.

 


Help: OASIS Mailing Lists Help | MarkMail Help

docbook-apps message

[Date Prev] | [Thread Prev] | [Thread Next] | [Date Next] -- [Date Index] | [Thread Index] | [List Home]


Subject: RE: [docbook-apps] Epic with DocBook?


 

> -----Original Message-----
> From: Dennis Grace [mailto:dgrace@us.ibm.com] 
> Sent: Monday, 09 May, 2005 14:19
> To: docbook-apps@lists.oasis-open.org
> Subject: [docbook-apps] Epic with DocBook?
> 
> Greetings all,
> 
> I'm more than a little rusty with DocBook SGML processing. 
> Can anyone help
> with this? Will DocBook 4.1 SGML run on Epic 5.1,

Yes.  DocBook doctypes are even included as part of
the Epic distribution.

> or should I just tell
> this gent to move to another method (he's running Windows).

Hard to tell from what's below, but it sounds like a typical
case of not having one's catalogs set up to match ones
configuration or something similar.

Since Epic includes the V4.0 docbook doctype, you might suggest
the user just try to use it first instead of downloading
anything.  If he uses "-//OASIS//DTD DocBook V4.0//EN"
for the FPI in his document, that should just happen.
If he's using 4.1-isms, he might get some errors, but
he might make some progress.

I've run Epic with DB V4.1 too, so I know it works.

I doubt the problem here is Epic, so I doubt telling him
to move to another method will help.  Basically, it sounds
like he needs to "get a little wetter" if he wants to be able
to use a doctype like DocBook and he isn't willing to just
use a pre-installed distributed version.  It isn't that hard, 
but one does have to be willing to go to a little effort to
learn the basics. 

paul

> 
> Subject: Re: I only want to get as wet as I have to - Re: docbook
> Date: Sun, 08 May 2005 13:48:23 -0700
> A little whine can lead to next steps [wish it was wine instead].
> 
> Ok, so I downloaded the 4.1 schema/dtd for sgml from
> http://www.oasis-open.org/docbook/sgml/4.1/txtindex.html. I
> opened our spec, pointed it to where I had the dtd saved, and got
> the following dtd compile error, suggestions? Can firewalls screw
> things up?
> 
> ej
> 
> ------------
> 
> Warning: Could not locate DTD entity '%dbnotn'
>     Public Identifier: '-//OASIS//ENTITIES DocBook Notations
> V4.1//EN'
>     System Identifier: '(none)'
>     No entry was found for the above public identifier
>     in any of these files:
> 
> /net/infobot.sfbay/usr/doctools/solbook/epic/epic5r1/doctypes/catalog
>        /net/infobot.sfbay/usr/doctools/epic5.1/doctypes/catalog
>        /net/infobot.sfbay/usr/doctools/epic5.1/doctypes/catalog
> 
> Warning: Could not locate DTD entity '%dbcent'
>     Public Identifier: '-//OASIS//ENTITIES DocBook Character
> Entities V4.1//EN'
>     System Identifier: '(none)'
>     No entry was found for the above public identifier
>     in any of these files:
> 
> /net/infobot.sfbay/usr/doctools/solbook/epic/epic5r1/doctypes/catalog
>        /net/infobot.sfbay/usr/doctools/epic5.1/doctypes/catalog
>        /net/infobot.sfbay/usr/doctools/epic5.1/doctypes/catalog
> 
> Warning: Could not locate DTD entity '%dbpool'
>     Public Identifier: '-//OASIS//ELEMENTS DocBook Information
> Pool V4.1//EN'
>     System Identifier: '(none)'
>     No entry was found for the above public identifier
>     in any of these files:
> 
> /net/infobot.sfbay/usr/doctools/solbook/epic/epic5r1/doctypes/catalog
>        /net/infobot.sfbay/usr/doctools/epic5.1/doctypes/catalog
>        /net/infobot.sfbay/usr/doctools/epic5.1/doctypes/catalog
> 
> Warning: Could not locate DTD entity '%dbhier'
>     Public Identifier: '-//OASIS//ELEMENTS DocBook Document
> Hierarchy V4.1//EN'
>     System Identifier: '(none)'
>     No entry was found for the above public identifier
>     in any of these files:
> 
> /net/infobot.sfbay/usr/doctools/solbook/epic/epic5r1/doctypes/catalog
>        /net/infobot.sfbay/usr/doctools/epic5.1/doctypes/catalog
>        /net/infobot.sfbay/usr/doctools/epic5.1/doctypes/catalog
> 
> Warning: Could not locate DTD entity '%dbgenent'
>     Public Identifier: '-//OASIS//ENTITIES DocBook Additional
> General Entities V4.1//EN'
>     System Identifier: '(none)'
>     No entry was found for the above public identifier
>     in any of these files:
> 
> /net/infobot.sfbay/usr/doctools/solbook/epic/epic5r1/doctypes/catalog
>        /net/infobot.sfbay/usr/doctools/epic5.1/doctypes/catalog
>        /net/infobot.sfbay/usr/doctools/epic5.1/doctypes/catalog
> 
> Dtgen Parser Error:
> While parsing file /home/earlj/temp/fsg-docbook-dtd/docbook.dtd:
> The current document name must be declared as an element within
> the DTD.
> (The parser needs this declaration to know where the model begins.)
> (err:10  line:118  pos:4482)
> Compile failed - rc=36
> 
> Dennis Grace
> 
> Linux Distribution Documentation Liaison
> IBM Linux Technology Center
> (512) 838-3937  T/L 678-3937  Cell (512) 296-7830
> dgrace@us.ibm.com
> 
> Micel yfel de­ se unwritere.
> (Bad writers do a lot of damage.)
>                                 Ălfric of York
> 
> 
> 
> 
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: docbook-apps-unsubscribe@lists.oasis-open.org
> For additional commands, e-mail: 
> docbook-apps-help@lists.oasis-open.org
> 
> 


[Date Prev] | [Thread Prev] | [Thread Next] | [Date Next] -- [Date Index] | [Thread Index] | [List Home]